curl --request POST \
--url https://api.acedata.cloud/grok/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "grok-3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/grok/chat/completions"
payload = {
"model": "grok-3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'grok-3', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/grok/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Grok Chat Completions
curl --request POST \
--url https://api.acedata.cloud/grok/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "grok-3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/grok/chat/completions"
payload = {
"model": "grok-3",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'grok-3', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/grok/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}授权
API token from https://platform.acedata.cloud
请求头
Grok Chat Completions Param Accept
application/json 请求体
Grok Chat Completions Model
grok-4, grok-3 "grok-3"
Grok Chat Completions Messages 4
1Show child attributes
Show child attributes
Grok Chat Completions N
1 <= x <= 1281
Grok Chat Completions Stream
Grok Chat Completions Max Tokens
Grok Chat Completions Temperature
0 <= x <= 21
Grok Chat Completions Top P
0 <= x <= 11
Grok Chat Completions Frequency Penalty
-2 <= x <= 20
Grok Chat Completions Presence Penalty
-2 <= x <= 20
Grok Chat Completions Seed
Grok Chat Completions Stop 3
Grok Chat Completions Max Completion Tokens
Grok Chat Completions Logprobs
Grok Chat Completions Top Logprobs
0 <= x <= 20Grok Chat Completions Stream Options
Show child attributes
Show child attributes
Grok Chat Completions Parallel Tool Calls
Grok Chat Completions User
Grok Chat Completions Reasoning Effort
minimal, low, medium, high Grok Chat Completions Service Tier
auto, default, flex, scale, priority Grok Chat Completions Store
Grok Chat Completions Metadata
Show child attributes
Show child attributes
Grok Chat Completions Logit Bias
Show child attributes
Show child attributes
Grok Chat Completions Modalities
text, audio Grok Chat Completions Audio
Show child attributes
Show child attributes
Grok Chat Completions Prediction 3
Show child attributes
Show child attributes
Grok Chat Completions Web Search Options
Show child attributes
Show child attributes
Grok Chat Completions Tools
Show child attributes
Show child attributes
Grok Chat Completions Tool Choice 3
none, auto, required Grok Chat Completions Response Format 4
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
响应
Grok Chat Completions Response 200 2
Grok Chat Completions Response 200
Grok Chat Completions Response 200 Id
Grok Chat Completions Response 200 Model
Grok Chat Completions Response 200 Object
chat.completion Grok Chat Completions Response 200 Choices
Show child attributes
Show child attributes
Grok Chat Completions Response 200 Created
Grok Chat Completions Response 200 System Fingerprint
Grok Chat Completions Response 200 Usage
Show child attributes
Show child attributes

